Bug 236773 - devel/pecl-xdebug: Update to 2.7.0 (PHP 7.3 support)
Summary: devel/pecl-xdebug: Update to 2.7.0 (PHP 7.3 support)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-25 08:43 UTC by Dani
Modified: 2019-04-09 10:19 UTC (History)
0 users

See Also:
pizzamig: maintainer-feedback+


Attachments
Update to 2.7.0 (3.76 KB, patch)
2019-03-25 08:43 UTC, Dani
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dani 2019-03-25 08:43:51 UTC
Created attachment 203118 [details]
Update to 2.7.0

Update to pecl-xdebug version 2.7.0 (stable) and remove pecl-xdebug-devel (not needed anymore)

Changes:
  - PHP 7.3 support
  - Full changelog: https://xdebug.org/updates.php#x_2_7_0

Builds fine on FBSD 11.2.
Comment 1 commit-hook freebsd_committer 2019-03-28 17:04:42 UTC
A commit references this bug:

Author: pizzamig
Date: Thu Mar 28 17:04:12 UTC 2019
New revision: 497033
URL: https://svnweb.freebsd.org/changeset/ports/497033

Log:
  devel/pecl-xdebug: Update to 2.7.0

  New stable version, with support to PHP 7.3

  Changelog: https://xdebug.org/updates.php#x_2_7_0

  PR:		236773
  Submitted by:	i.dani@outlook.com (partially)
  Sponsored by:	trivago N.V.

Changes:
  head/devel/pecl-xdebug/Makefile
  head/devel/pecl-xdebug/distinfo
Comment 2 Luca Pizzamiglio freebsd_committer 2019-03-28 20:22:49 UTC
I was already working on this, but I really appreciate your patch.
I cannot use it directly, because remove a port is more complicated.
I committed the update to 2.7.0.
In a different commit that I'm preparing I'll remove xdebug-devel and xdebug25, both not needed anymore.
Comment 3 commit-hook freebsd_committer 2019-04-09 10:11:08 UTC
A commit references this bug:

Author: pizzamig
Date: Tue Apr  9 10:10:57 UTC 2019
New revision: 498475
URL: https://svnweb.freebsd.org/changeset/ports/498475

Log:
  devel/pecl-xdebug25 devel/pecl-xdebug-devel: Remove obsolete ports

  pecl-xdebug25 was kept to support PHP 5.6, already expired and removed
  pecl-xdebug-devel was useful to support the coming PHP 7.3.
  Now, with a stable release that support all available PHP version,
  the -devel ports is no longer necessary

  PR:		236773
  Sponsored by:	trivago N.V.

Changes:
  head/MOVED
  head/devel/Makefile
  head/devel/pecl-xdebug-devel/
  head/devel/pecl-xdebug25/
Comment 4 Luca Pizzamiglio freebsd_committer 2019-04-09 10:19:38 UTC
With the last commit, I've also removed all the others xdebug ports, now obsolete.

I can close this PR.